View Issue Details

IDProjectCategoryView StatusLast Update
0005746DarkRadiantMap Editingpublic10.10.2021 12:59
Reportergreebo Assigned Togreebo  
PrioritynormalSeveritynormalReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version2.13.0 
Fixed in Version2.14.0 
Summary0005746: Texture Tool Improvements
DescriptionThe texture tool has a couple of usability issues at the moment. The plan is to adjust the TexTool class to use the same mouse tool infrastructure as XYWnd and CamWnd and to adjust the texturing algorithms to be more useful.
TagsNo tags attached.

Relationships

related to 0005731 resolvedgreebo Texture Tool: UI contrast 
related to 0005732 resolvedgreebo Texture Tool: intercept keystrokes for grid resizing & snap to grid 
related to 0005733 resolvedgreebo Texture Tool: use aspect ratio of material 
related to 0005128 resolvedgreebo Texture Tools: rotate function 
related to 0002272 resolvedgreebo Prevent Texture Tool "face jump" on rescaling textures 
related to 0005747 resolvedgreebo Texture Tool: drag operation doesn't capture the mouse 
related to 0005748 resolvedgreebo Texture Tool: Constrain operations to axes by holding down Shift 
related to 0005749 resolvedgreebo Texture Tool: Select items by clicking the UV space they cover 
related to 0005750 resolvedgreebo Texture Tool: Grid lines are getting too dense when zooming out a lot 
related to 0004584 resolvedgreebo Drag-select while in texture tool window gets stuck. 
related to 0005776 resolvedgreebo Texture Tool: Add Manipulation Panel to shift/scale/rotate selection 

Activities

There are no notes attached to this issue.

Related Changesets

DarkRadiant: textool a03ba973

2021-09-10 03:58:21

greebo

Details Diff
0005746: Implement a few interfaces (WIP) Affected Issues
0005746
mod - include/imousetoolmanager.h Diff File
mod - libs/selection/SelectionVolume.h Diff File
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File
add - radiant/textool/tools/TextureToolMouseEvent.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: textool 47170db3

2021-09-10 04:36:37

greebo

Details Diff
0005746: Connect more dots to get the mouse tools into play when handling the mouse input in the TexTool Affected Issues
0005746
mod - install/input.xml Diff File
mod - radiant/eventmanager/MouseToolManager.cpp Diff File
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File
add - radiant/textool/tools/TexToolMoveViewTool.h Diff File
mod - radiant/ui/mousetool/RegistrationHelper.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: textool aee11c02

2021-09-10 05:16:26

greebo

Details Diff
0005746: Implement the texture tool's drag-move tool Affected Issues
0005746
mod - include/iinteractiveview.h Diff File
add - include/itexturetoolview.h Diff File
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File
mod - radiant/textool/tools/TexToolMoveViewTool.h Diff File
mod - radiant/textool/tools/TextureToolMouseEvent.h Diff File
mod - tools/msvc/include.vcxproj Diff File

DarkRadiant: textool 7b9689c1

2021-09-10 09:13:24

greebo

Details Diff
0005746: Maintain a render::View in the Texture Tool, to be able to construct selection tests in the mouse tools. Affected Issues
0005746
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File

DarkRadiant: textool c077ce2c

2021-09-10 11:13:29

greebo

Details Diff
0005746: Remove dead code Affected Issues
0005746
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File

DarkRadiant: textool e2ee64b2

2021-09-10 12:01:49

greebo

Details Diff
0005746: Both the texture tool view and the xy views share parts of their interfaces, this way the existing MoveViewTool can be re-used with very little changes. Affected Issues
0005746
mod - include/imousetoolevent.h Diff File
mod - include/iorthoview.h Diff File
mod - include/itexturetoolview.h Diff File
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File
rm - radiant/textool/tools/TexToolMoveViewTool.h Diff File
mod - radiant/textool/tools/TextureToolMouseEvent.h Diff File
mod - radiant/ui/mousetool/RegistrationHelper.h Diff File
mod - radiant/xyview/XYWnd.cpp Diff File
mod - radiant/xyview/XYWnd.h Diff File
mod - radiant/xyview/tools/MoveViewTool.h Diff File
mod - radiant/xyview/tools/XYMouseToolEvent.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: textool d2bd2516

2021-09-10 14:29:34

greebo

Details Diff
0005746: Re-use the ZoomTool for the TextureTool Affected Issues
0005746
mod - include/iorthoview.h Diff File
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File
mod - radiant/ui/mousetool/RegistrationHelper.h Diff File
mod - radiant/xyview/tools/ZoomTool.h Diff File

DarkRadiant: textool f0735884

2021-09-10 14:36:14

greebo

Details Diff
0005746: Add the mouse tool overlay render calls to the workflow Affected Issues
0005746
mod - radiant/textool/TexTool.cpp Diff File

DarkRadiant: textool 1517261a

2021-09-10 15:53:15

greebo

Details Diff
0005746: Start setting up the selection tool Affected Issues
0005746
mod - install/input.xml Diff File
mod - radiant/eventmanager/MouseToolGroup.cpp Diff File
mod - radiant/selection/SelectionMouseTools.h Diff File
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File
add - radiant/textool/tools/TextureToolSelectionTool.h Diff File
mod - radiant/ui/mousetool/RegistrationHelper.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: textool 713ea9a1

2021-09-10 17:47:56

greebo

Details Diff
0005746: More work on getting the ISelectable interfaces into play Affected Issues
0005746
mod - include/itexturetoolview.h Diff File
mod - radiant/selection/SelectionMouseTools.cpp Diff File
mod - radiant/selection/SelectionMouseTools.h Diff File
mod - radiant/textool/Selectable.h Diff File
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File
mod - radiant/textool/tools/TextureToolSelectionTool.h Diff File
mod - radiantcore/selection/RadiantSelectionSystem.cpp Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File

DarkRadiant: textool de81adb6

2021-09-10 18:42:17

greebo

Details Diff
0005746: Experimental testSelect code for FaceItems. Affected Issues
0005746
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File
mod - radiant/textool/item/FaceItem.cpp Diff File
mod - radiant/textool/item/FaceItem.h Diff File

DarkRadiant: textool 53d16bbf

2021-09-10 18:46:55

greebo

Details Diff
0005746: Fix the strange floating point format of the grid labels Affected Issues
0005746
mod - radiant/textool/TexTool.cpp Diff File

DarkRadiant: textool 004cc0ed

2021-09-11 05:09:03

greebo

Details Diff
0005746: Polygonal face selection test is working Affected Issues
0005746
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/item/FaceItem.cpp Diff File

DarkRadiant: textool 5a012c8a

2021-09-11 09:01:05

greebo

Details Diff
0005746: Better resize behaviour Affected Issues
0005746
mod - radiant/textool/TexTool.cpp Diff File

DarkRadiant: textool da668f91

2021-09-11 12:17:18

greebo

Details Diff
0005746: Remove the old selection-related code Affected Issues
0005746
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File

DarkRadiant: textool 050efe5b

2021-09-13 15:22:14

greebo

Details Diff
0005746: Introduce a texture tool scene graph module which is going to be hosted in the core module. It will collect and represent the editable faces, patches and their vertices, and expose them to both the UI module for rendering as well as to the Manipulator algorithms which are in the same binary. Affected Issues
0005746
add - include/itexturetoolmodel.h Diff File
mod - radiantcore/selection/manipulators/TextureToolRotateManipulator.cpp Diff File
mod - radiantcore/selection/manipulators/TextureToolRotateManipulator.h Diff File
mod - tools/msvc/include.vcxproj Diff File

DarkRadiant: textool 7ec6b22a

2021-09-13 17:13:08

greebo

Details Diff
0005746: Add first unit test case Affected Issues
0005746
mod - test/CMakeLists.txt Diff File
add - test/TextureTool.cpp Diff File
mod - tools/msvc/Tests/Tests.vcxproj Diff File
mod - tools/msvc/Tests/Tests.vcxproj.filters Diff File

DarkRadiant: textool 3e263a31

2021-09-13 17:21:24

greebo

Details Diff
0005746: Start implementing the TextureToolSceneGraph Affected Issues
0005746
mod - radiantcore/CMakeLists.txt Diff File
add - radiantcore/selection/textool/TextureToolSceneGraph.cpp Diff File
add - radiantcore/selection/textool/TextureToolSceneGraph.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: textool 0bfb0de6

2021-09-13 17:56:46

greebo

Details Diff
0005746: Add some stub textool::INode implementations Affected Issues
0005746
mod - include/itexturetoolmodel.h Diff File
add - radiantcore/selection/textool/FaceNode.h Diff File
add - radiantcore/selection/textool/NodeBase.h Diff File
add - radiantcore/selection/textool/PatchNode.h Diff File
mod - radiantcore/selection/textool/TextureToolSceneGraph.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSceneGraph.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: textool 175bf4f7

2021-09-13 18:03:23

greebo

Details Diff
0005746: More basic unit tests Affected Issues
0005746
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool a81c4c42

2021-09-13 18:50:07

greebo

Details Diff
0005746: All textool::INodes are implementing Bounded, to return their bounds in UV space.
Un-hook the old selection traversal code in the TexTool, use the Texture Tool SceneGraph.
Affected Issues
0005746
mod - include/itexturetoolmodel.h Diff File
mod - radiant/textool/TexTool.cpp Diff File
mod - radiantcore/selection/textool/FaceNode.h Diff File
mod - radiantcore/selection/textool/PatchNode.h Diff File

DarkRadiant: textool b224625c

2021-09-13 19:25:30

greebo

Details Diff
0005746: PatchNode bounds check Affected Issues
0005746
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool 5d314e9c

2021-09-14 17:50:56

greebo

Details Diff
0005746: Every textool node is selectable, add foreachSelectedNode method Affected Issues
0005746
mod - include/itexturetoolmodel.h Diff File
mod - radiantcore/selection/manipulators/TextureToolRotateManipulator.cpp Diff File
mod - radiantcore/selection/textool/NodeBase.h Diff File
mod - radiantcore/selection/textool/TextureToolSceneGraph.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSceneGraph.h Diff File
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool 193ea54f

2021-09-16 17:15:08

greebo

Details Diff
0005746: Some refactoring efforts to reduce code redundancy Affected Issues
0005746
mod - radiant/selection/ManipulateMouseTool.cpp Diff File
mod - radiant/selection/ManipulateMouseTool.h Diff File
mod - radiant/textool/tools/TextureToolManipulateMouseTool.cpp Diff File
mod - radiant/textool/tools/TextureToolManipulateMouseTool.h Diff File

DarkRadiant: textool 62ecec21

2021-09-16 17:37:02

greebo

Details Diff
0005746: Throw out tons of unneeded code, introduce a few virtuals to ManipulateMouseTool. Affected Issues
0005746
mod - radiant/selection/ManipulateMouseTool.cpp Diff File
mod - radiant/selection/ManipulateMouseTool.h Diff File
mod - radiant/textool/tools/TextureToolManipulateMouseTool.cpp Diff File
mod - radiant/textool/tools/TextureToolManipulateMouseTool.h Diff File

DarkRadiant: textool 0bf8b3d1

2021-09-16 17:53:42

greebo

Details Diff
0005746: Move the few methods that are specifically dealing with the GlobalSelectionSystem to a subclass of ManipulateMouseTool which serves now as an abstract base class. Affected Issues
0005746
mod - radiant/CMakeLists.txt Diff File
mod - radiant/selection/ManipulateMouseTool.cpp Diff File
mod - radiant/selection/ManipulateMouseTool.h Diff File
add - radiant/selection/SceneManipulateMouseTool.cpp Diff File
add - radiant/selection/SceneManipulateMouseTool.h Diff File
mod - radiant/textool/tools/TextureToolManipulateMouseTool.cpp Diff File
mod - radiant/textool/tools/TextureToolManipulateMouseTool.h Diff File
mod - radiant/ui/mousetool/RegistrationHelper.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: textool 962b3736

2021-09-16 18:26:46

greebo

Details Diff
0005746: Eliminate more redundant code Affected Issues
0005746
mod - radiant/selection/ManipulateMouseTool.cpp Diff File
mod - radiant/selection/ManipulateMouseTool.h Diff File
mod - radiant/selection/SceneManipulateMouseTool.cpp Diff File
mod - radiant/selection/SceneManipulateMouseTool.h Diff File
mod - radiant/textool/tools/TextureToolManipulateMouseTool.cpp Diff File
mod - radiant/textool/tools/TextureToolManipulateMouseTool.h Diff File

DarkRadiant: textool b8b20923

2021-09-16 18:48:37

greebo

Details Diff
0005746: Refactor method for readability, private the fields again Affected Issues
0005746
mod - radiant/selection/ManipulateMouseTool.cpp Diff File
mod - radiant/selection/ManipulateMouseTool.h Diff File

DarkRadiant: textool fe15ad06

2021-09-17 12:51:05

greebo

Details Diff
0005746: Remove IManipulatorManager interface again, instead introduce a ITextureToolSelectionSystem interface which is the counter-part of the RadiantSelectionSystem handling the main scene. Affected Issues
0005746
mod - include/imanipulator.h Diff File
mod - include/itexturetoolmodel.h Diff File
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File
mod - radiant/textool/tools/TextureToolManipulateMouseTool.cpp Diff File
mod - radiantcore/CMakeLists.txt Diff File
rm - radiantcore/selection/manipulators/ManipulatorManager.cpp Diff File
mod - radiantcore/selection/manipulators/TextureToolRotateManipulator.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSceneGraph.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSceneGraph.h Diff File
add - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File
add - radiantcore/selection/textool/TextureToolSelectionSystem.h Diff File
mod - test/TextureTool.cpp Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: textool a9d347b7

2021-09-17 13:08:45

greebo

Details Diff
0005746: Move more logic from TexTool view to TextureToolSelectionSystem. Affected Issues
0005746
mod - include/itexturetoolmodel.h Diff File
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File
mod - radiant/textool/tools/TextureToolManipulateMouseTool.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.h Diff File

DarkRadiant: textool 401f30a6

2021-09-17 13:53:25

greebo

Details Diff
0005746: Split off the scene selection-related functionality from ManipulationPivot to SceneManipulationPivot Affected Issues
0005746
mod - radiantcore/CMakeLists.txt Diff File
mod - radiantcore/selection/ManipulationPivot.cpp Diff File
mod - radiantcore/selection/ManipulationPivot.h Diff File
mod - radiantcore/selection/RadiantSelectionSystem.cpp Diff File
mod - radiantcore/selection/RadiantSelectionSystem.h Diff File
add - radiantcore/selection/SceneManipulationPivot.cpp Diff File
add - radiantcore/selection/SceneManipulationPivot.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: textool 7e9307a5

2021-09-17 17:40:31

greebo

Details Diff
0005746: Add TextureToolManipulationPivot and move selection bounds calculation to it Affected Issues
0005746
mod - radiantcore/CMakeLists.txt Diff File
add - radiantcore/selection/textool/TextureToolManipulationPivot.cpp Diff File
add - radiantcore/selection/textool/TextureToolManipulationPivot.h Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: textool 8e37b1f8

2021-09-17 17:47:44

greebo

Details Diff
0005746: TextureToolRotateManipulator can reference the manipulation pivot now Affected Issues
0005746
mod - radiantcore/selection/manipulators/TextureToolRotateManipulator.cpp Diff File
mod - radiantcore/selection/manipulators/TextureToolRotateManipulator.h Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File

DarkRadiant: textool 94c52123

2021-09-17 17:53:34

greebo

Details Diff
0005746: Move TextureToolRotateManipulator class to textool namespace Affected Issues
0005746
mod - radiantcore/CMakeLists.txt Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: textool 618c1130

2021-09-17 17:58:23

greebo

Details Diff
0005746: Update the pivot on every query - at least for the moment being Affected Issues
0005746
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File

DarkRadiant: textool eaea0869

2021-09-17 18:44:36

greebo

Details Diff
0005746: Point and area selection algorithms implemented into TextureToolSelectionSystem, modeled after the one in RadiantSelectionSystem - code is a bit redundant at this point Affected Issues
0005746
mod - include/itexturetoolmodel.h Diff File
mod - include/itexturetoolview.h Diff File
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File
mod - radiant/textool/tools/TextureToolSelectionTool.h Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.h Diff File

DarkRadiant: textool b31ce212

2021-09-18 04:43:42

greebo

Details Diff
0005746: Implement a few PatchNode methods Affected Issues
0005746
mod - include/ipatch.h Diff File
mod - radiantcore/patch/Patch.h Diff File
mod - radiantcore/selection/textool/PatchNode.h Diff File

DarkRadiant: textool 6d5a5994

2021-09-18 05:43:39

greebo

Details Diff
0005746: Move the projection matrix calculation to render::TextureToolView. Affected Issues
0005746
add - libs/render/TextureToolView.h Diff File
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File

DarkRadiant: textool 7c5da322

2021-09-18 06:41:44

greebo

Details Diff
0005746: Add a specific test checking the point selection of a patch vertex in the texture tool Affected Issues
0005746
mod - test/TextureTool.cpp Diff File
mod - test/algorithm/Primitives.h Diff File

DarkRadiant: textool 4dd04b5b

2021-09-18 06:58:43

greebo

Details Diff
0005746: Add another test checking the area selection of a patch in the texture tool Affected Issues
0005746
mod - libs/Rectangle.h Diff File
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool e87847bb

2021-09-18 15:17:46

greebo

Details Diff
0005746: Implement drag manipulator. Patch render highlighting is working now Affected Issues
0005746
mod - radiantcore/CMakeLists.txt Diff File
mod - radiantcore/selection/textool/FaceNode.h Diff File
mod - radiantcore/selection/textool/PatchNode.h Diff File
add - radiantcore/selection/textool/TextureToolDragManipulator.cpp Diff File
add - radiantcore/selection/textool/TextureToolDragManipulator.h Diff File
mod - radiantcore/selection/textool/TextureToolRotateManipulator.cpp Diff File
mod - radiantcore/selection/textool/TextureToolRotateManipulator.h Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: textool b1cbecea

2021-09-18 17:05:05

greebo

Details Diff
0005746: Getting the transformation on patches to be correct, undoable and live-updating the views seems to be very complicated. Its freezeTransform() behaviour is quite different from faces, which might be an indication of one or more design issues. Patch::controlPointsChanged() does way too much, including revertTransform. Affected Issues
0005746
mod - include/ipatch.h Diff File
mod - radiantcore/patch/Patch.cpp Diff File
mod - radiantcore/patch/Patch.h Diff File
mod - radiantcore/selection/textool/PatchNode.h Diff File

DarkRadiant: textool 7b34d733

2021-09-18 17:42:37

greebo

Details Diff
0005746: Add manipulator mode toggle commands to texture tool. Affected Issues
0005746
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.h Diff File

DarkRadiant: textool c04661c6

2021-09-18 17:46:11

greebo

Details Diff
0005746: TexTool is listening to manipulator mode changes now Affected Issues
0005746
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File

DarkRadiant: textool 12a6f411

2021-09-18 18:18:40

greebo

Details Diff
0005746: Respect axis constraints to DragManipulator Affected Issues
0005746
mod - radiantcore/selection/textool/TextureToolDragManipulator.cpp Diff File

DarkRadiant: textool 76fd7653

2021-09-18 19:01:49

greebo

Details Diff
0005746: Fix compilation Affected Issues
0005746
mod - test/algorithm/Primitives.h Diff File

DarkRadiant: textool c836d396

2021-09-19 04:25:04

greebo

Details Diff
0005746: Add unit test covering the drag-manipulation of a face Affected Issues
0005746
mod - include/itexturetoolmodel.h Diff File
mod - radiantcore/selection/textool/FaceNode.h Diff File
mod - radiantcore/selection/textool/NodeBase.h Diff File
mod - test/TextureTool.cpp Diff File
mod - test/algorithm/Primitives.h Diff File

DarkRadiant: textool d29132dc

2021-09-19 04:44:12

greebo

Details Diff
0005746: Patches can be selected by clicking anywhere within their covered UV space Affected Issues
0005746
mod - radiantcore/selection/textool/PatchNode.h Diff File
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool c5ffcc62

2021-09-19 05:19:04

greebo

Details Diff
0005746: Another drag-manipulation test targeting patches Affected Issues
0005746
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool 7b01e5b8

2021-09-19 06:29:14

greebo

Details Diff
0005746: Test covering the mode change signals. Add SelectionMode enumeration (Surface vs. Vertex) Affected Issues
0005746
mod - include/itexturetoolmodel.h Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.h Diff File
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool 9e76903f

2021-09-19 06:53:13

greebo

Details Diff
0005746: Start working on Vertex selection Affected Issues
0005746
mod - include/itexturetoolmodel.h Diff File
mod - radiant/textool/TexTool.cpp Diff File
mod - radiantcore/selection/textool/FaceNode.h Diff File
mod - radiantcore/selection/textool/PatchNode.h Diff File
add - radiantcore/selection/textool/SelectableVertex.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: textool ce03fcc7

2021-09-19 07:09:15

greebo

Details Diff
0005746: Tests covering selection mode toggles Affected Issues
0005746
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.h Diff File
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool 200bbdc4

2021-09-19 07:21:11

greebo

Details Diff
0005746: Add toggle buttons and events to switch texture tool selection modes Affected Issues
0005746
mod - install/user.xml Diff File
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File
rm - radiant/textool/TexToolManipulatorToggle.h Diff File
add - radiant/textool/TexToolModeToggles.h Diff File
mod - radiant/ui/UserInterfaceModule.cpp Diff File
mod - radiant/ui/UserInterfaceModule.h Diff File
mod - radiantcore/selection/textool/FaceNode.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: textool 8e5e0923

2021-09-19 07:49:21

greebo

Details Diff
0005746: Refactor selection tests a bit Affected Issues
0005746
mod - radiantcore/selection/textool/PatchNode.h Diff File
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool 11159a42

2021-09-19 09:14:39

greebo

Details Diff
0005746: More work on the interfaces, introduce IComponentSelectable interface. Affected Issues
0005746
mod - include/itexturetoolmodel.h Diff File
mod - radiantcore/selection/textool/FaceNode.h Diff File
mod - radiantcore/selection/textool/PatchNode.h Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.h Diff File
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool 5d83e3b5

2021-09-19 09:28:53

greebo

Details Diff
0005746: Implementing PatchNode component selection (WIP) Affected Issues
0005746
mod - radiantcore/selection/textool/PatchNode.h Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.h Diff File
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool 075db12f

2021-09-19 10:35:41

greebo

Details Diff
0005746: Implemented PatchNode component selection Affected Issues
0005746
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool fe316a36

2021-09-19 12:47:35

greebo

Details Diff
0005746: Implemented FaceNode component selection Affected Issues
0005746
mod - radiantcore/selection/textool/FaceNode.h Diff File
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool beca99cb

2021-09-19 13:02:05

greebo

Details Diff
0005746: Selected vertices are rendered with slightly larger z values to be rendered on top. Enable the depth test to make it effective. Affected Issues
0005746
mod - radiantcore/selection/textool/FaceNode.h Diff File
mod - radiantcore/selection/textool/PatchNode.h Diff File

DarkRadiant: textool 2027a79e

2021-09-19 13:12:05

greebo

Details Diff
0005746: Move IComponentSelectable implementation to NodeBase, since it's the exact same code Affected Issues
0005746
mod - include/itexturetoolmodel.h Diff File
mod - radiantcore/selection/textool/FaceNode.h Diff File
mod - radiantcore/selection/textool/NodeBase.h Diff File
mod - radiantcore/selection/textool/PatchNode.h Diff File

DarkRadiant: textool 4a00a5a4

2021-09-19 13:58:28

greebo

Details Diff
0005746: Implement component transformation for patches Affected Issues
0005746
mod - include/itexturetoolmodel.h Diff File
mod - radiantcore/selection/textool/FaceNode.h Diff File
mod - radiantcore/selection/textool/PatchNode.h Diff File
mod - radiantcore/selection/textool/SelectableVertex.h Diff File
mod - radiantcore/selection/textool/TextureToolDragManipulator.cpp Diff File
mod - radiantcore/selection/textool/TextureToolRotateManipulator.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.h Diff File
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool 66e019a8

2021-09-19 14:16:53

greebo

Details Diff
0005746: Test for manipulating patch vertices Affected Issues
0005746
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool 8fbdf6fa

2021-09-19 14:26:19

greebo

Details Diff
0005746: Test cancelling manipulation of patches and their vertices Affected Issues
0005746
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.h Diff File
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool 536a7ae2

2021-09-19 17:36:02

greebo

Details Diff
0005746: Add a test asserting on the desired behaviour which is to be implemented Affected Issues
0005746
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool 25b02586

2021-09-19 17:50:52

greebo

Details Diff
0005746: Implement the code recalculating the Pivot-to-World transform in Vertex mode Affected Issues
0005746
mod - include/itexturetoolmodel.h Diff File
mod - radiantcore/selection/textool/NodeBase.h Diff File
mod - radiantcore/selection/textool/TextureToolManipulationPivot.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File

DarkRadiant: textool 4a594755

2021-09-20 18:57:20

greebo

Details Diff
0005746: Crafting vertex drag-manipulation tests for faces Affected Issues
0005746
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool 8fa388fa

2021-09-22 17:36:55

greebo

Details Diff
0005746: Implement face vertex manipulation for three or more vertices Affected Issues
0005746
mod - radiantcore/selection/textool/FaceNode.h Diff File
mod - radiantcore/selection/textool/NodeBase.h Diff File
mod - radiantcore/selection/textool/PatchNode.h Diff File
mod - radiantcore/selection/textool/SelectableVertex.h Diff File

DarkRadiant: textool 050e3b71

2021-09-22 17:59:39

greebo

Details Diff
0005746: Implement face vertex manipulation for two selected vertices Affected Issues
0005746
mod - radiantcore/selection/textool/FaceNode.h Diff File
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool 3d37002c

2021-09-22 18:20:43

greebo

Details Diff
0005746: Implement face vertex manipulation for a single selected vertices - WIP Affected Issues
0005746
mod - radiantcore/selection/textool/FaceNode.h Diff File

DarkRadiant: textool 988388d5

2021-09-22 18:51:42

greebo

Details Diff
0005746: Prevent vertex jumping around when drag-manipulating a single vertex Affected Issues
0005746
mod - radiantcore/selection/textool/FaceNode.h Diff File

DarkRadiant: textool a34eee75

2021-09-22 18:59:01

greebo

Details Diff
0005746: Adjust unit test assertions Affected Issues
0005746
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool 50ebe761

2021-09-23 03:48:48

greebo

Details Diff
0005746: Introduce UnselectSelectionRequest message type which can be handled by systems other than the regular RadiantSelectionSystem Affected Issues
0005746
mod - include/imessagebus.h Diff File
add - libs/messages/UnselectSelectionRequest.h Diff File
mod - radiantcore/selection/RadiantSelectionSystem.cpp Diff File
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File

DarkRadiant: textool aeff0016

2021-09-23 04:24:49

greebo

Details Diff
0005746: Implement handling of UnselectSelectionRequests in TextureToolSelectionSystem. Affected Issues
0005746
mod - include/itexturetoolmodel.h Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.h Diff File
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool 5244def3

2021-09-23 04:39:23

greebo

Details Diff
0005746: Add some tests covering clearSelection and clearComponentSelection. Affected Issues
0005746
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool e5f26c39

2021-09-24 04:21:57

greebo

Details Diff
0005746: Add selection changed feedback loop to detect programmatic changes to ISelectable nodes Affected Issues
0005746
mod - include/itexturetoolmodel.h Diff File
mod - radiantcore/selection/textool/NodeBase.h Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.h Diff File
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool 46da5bc3

2021-09-24 04:27:14

greebo

Details Diff
0005746: Component selections are tracked Affected Issues
0005746
mod - include/itexturetoolmodel.h Diff File
mod - radiantcore/selection/textool/SelectableVertex.h Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.h Diff File

DarkRadiant: textool bf62213d

2021-09-24 04:30:44

greebo

Details Diff
0005746: Texture tool is repaining even if the selection changes programmatically Affected Issues
0005746
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File

DarkRadiant: textool e8b0329a

2021-09-24 05:10:04

greebo

Details Diff
0005746: Fixate pivot point during manipulations Affected Issues
0005746
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File

DarkRadiant: textool f12d2fe7

2021-09-24 06:39:50

greebo

Details Diff
0005746: The active texture tool material name is tracked by the TextureToolSceneGraph now, no need to do this in the UI code. Affected Issues
0005746
mod - include/itexturetoolmodel.h Diff File
mod - radiantcore/selection/textool/TextureToolSceneGraph.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSceneGraph.h Diff File
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool 86d6c2ff

2021-09-24 07:36:03

greebo

Details Diff
0005746: Remove old mouse button and ESC handling code Affected Issues
0005746
mod - libs/wxutil/MouseToolHandler.cpp Diff File
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File

DarkRadiant: textool 16c74d66

2021-09-24 07:38:24

greebo

Details Diff
0005746: Remove TexTool::getSelectables() variants Affected Issues
0005746
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File

DarkRadiant: textool f1cd5699

2021-09-24 07:47:51

greebo

Details Diff
0005746: Rely on the TextureToolSceneGraph to deliver the unique material name of the scene selection Affected Issues
0005746
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File

DarkRadiant: textool 4f3968de

2021-09-24 07:55:08

greebo

Details Diff
0005746: Refactoring to get rid of one more TexTool member Affected Issues
0005746
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File

DarkRadiant: textool 89ec1beb

2021-09-24 07:59:29

greebo

Details Diff
0005746: Remove TexTool::countSelected() Affected Issues
0005746
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File
mod - radiant/textool/TexToolItem.h Diff File

DarkRadiant: textool f03091b1

2021-09-24 08:06:56

greebo

Details Diff
0005746: Get rid of the selection-tracking parts. Algorithms like flipSelected/mergeSelected etc. are now commented out (they were ineffective before already) Affected Issues
0005746
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File

DarkRadiant: textool 5629cb0d

2021-09-24 08:08:32

greebo

Details Diff
0005746: Remove a lot of orphaned #include directives Affected Issues
0005746
mod - radiant/textool/TexTool.cpp Diff File

DarkRadiant: textool bd22004b

2021-09-25 05:13:52

greebo

Details Diff
0005746: Add a public method to toggle texture tool selection modes. Add unit tests. Refactoring. Affected Issues
0005746
mod - include/itexturetoolmodel.h Diff File
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexToolModeToggles.h Diff File
mod - radiantcore/selection/textool/TextureToolDragManipulator.cpp Diff File
mod - radiantcore/selection/textool/TextureToolManipulationPivot.cpp Diff File
mod - radiantcore/selection/textool/TextureToolRotateManipulator.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.h Diff File
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool 6689955a

2021-09-25 19:11:56

greebo

Details Diff
0005746: Add optional parameter to Grid interface methods retrieving the spacing and the grid power.
Add getGridBase() method.
Add the first few unit tests.
Affected Issues
0005746
mod - include/igrid.h Diff File
mod - radiantcore/grid/GridManager.cpp Diff File
mod - radiantcore/grid/GridManager.h Diff File
mod - test/CMakeLists.txt Diff File
add - test/Grid.cpp Diff File
mod - tools/msvc/Tests/Tests.vcxproj Diff File
mod - tools/msvc/Tests/Tests.vcxproj.filters Diff File

DarkRadiant: textool 19c0eaa7

2021-09-25 19:22:04

greebo

Details Diff
0005746: More Grid unit tests. Only fire the grid changed signal if the size actually changed. Affected Issues
0005746
mod - radiantcore/grid/GridManager.cpp Diff File
mod - test/Grid.cpp Diff File

DarkRadiant: textool b8b08aa1

2021-09-25 19:26:03

greebo

Details Diff
0005746: Texture Tool is relying on the values returned by the GridModule Affected Issues
0005746
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File

DarkRadiant: textool f075ed21

2021-09-26 03:46:29

greebo

Details Diff
0005746: Add grid-snapping support to TextureTranslator, now it behaves the same as the regular drag operator used on map objects. Affected Issues
0005746
mod - radiantcore/selection/textool/TextureToolDragManipulator.cpp Diff File

DarkRadiant: textool 569a4ccb

2021-09-26 04:12:18

greebo

Details Diff
0005746: IFace interface can return a reference to the owning IBrush object. Affected Issues
0005746
mod - include/ibrush.h Diff File
mod - radiantcore/brush/Face.cpp Diff File
mod - radiantcore/brush/Face.h Diff File
mod - radiantcore/selection/algorithm/Shader.cpp Diff File
mod - radiantcore/selection/shaderclipboard/ShaderClipboard.cpp Diff File

DarkRadiant: textool 520a24cd

2021-09-26 04:43:57

greebo

Details Diff
0005746: Set up tests for the "Select Related" texture tool algorithm. Affected Issues
0005746
mod - include/itexturetoolmodel.h Diff File
mod - radiant/textool/TexTool.cpp Diff File
mod - radiantcore/selection/textool/NodeBase.h Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.h Diff File
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool 030f8fab

2021-09-26 06:36:29

greebo

Details Diff
0005746: "Select Related" texture tool command implemented. Fix copy&paste error in unit test code. Affected Issues
0005746
mod - include/itexturetoolmodel.h Diff File
mod - radiantcore/selection/textool/FaceNode.h Diff File
mod - radiantcore/selection/textool/NodeBase.h Diff File
mod - radiantcore/selection/textool/PatchNode.h Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool e0df2352

2021-09-26 07:08:37

greebo

Details Diff
0005746: De-duplicate some unit test setup code Affected Issues
0005746
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool fc4fc1be

2021-09-26 09:37:15

greebo

Details Diff
0005746: Setup unit tests for grid-snapping texture tool elements Affected Issues
0005746
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool 842f2073

2021-09-26 10:21:31

greebo

Details Diff
0005746: Grid-snapping implemented for patches Affected Issues
0005746
mod - include/itexturetoolmodel.h Diff File
mod - radiant/textool/TexTool.cpp Diff File
mod - radiantcore/selection/textool/FaceNode.h Diff File
mod - radiantcore/selection/textool/PatchNode.h Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.h Diff File

DarkRadiant: textool 1f817f3d

2021-09-26 11:14:47

greebo

Details Diff
0005746: Grid-snapping implemented for faces and face vertices Affected Issues
0005746
mod - radiantcore/selection/textool/FaceNode.h Diff File
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool c698c075

2021-09-26 11:50:54

greebo

Details Diff
0005746: Send the TextureChangedMessage after snapping texture coords to grid Affected Issues
0005746
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File

DarkRadiant: textool d5e40d21

2021-09-26 14:52:41

greebo

Details Diff
0005746: Working on "Merge Selected" functionality. Let's add some tests. Affected Issues
0005746
mod - include/itexturetoolmodel.h Diff File
mod - radiantcore/selection/textool/FaceNode.h Diff File
mod - radiantcore/selection/textool/PatchNode.h Diff File
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool 2b76d725

2021-09-26 15:30:31

greebo

Details Diff
0005746: Implement "Merge selected" for patch vertices Affected Issues
0005746
mod - radiant/textool/TexTool.cpp Diff File
mod - radiantcore/selection/textool/PatchNode.h Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.h Diff File
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool 8e879ee3

2021-09-26 15:35:59

greebo

Details Diff
0005746: Implement "Merge selected" for face vertices Affected Issues
0005746
mod - radiantcore/selection/textool/FaceNode.h Diff File
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool 61fafd8a

2021-09-26 15:46:40

greebo

Details Diff
0005746: Implement optional argument processing in "Merge selected" command Affected Issues
0005746
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool cbe722bf

2021-09-26 17:24:08

greebo

Details Diff
0005746: Start writing unit tests covering texture flipping of patches Affected Issues
0005746
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool d0839133

2021-09-26 17:29:59

greebo

Details Diff
0005746: Unit tests covering texture flipping of faces Affected Issues
0005746
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool d3b22c78

2021-09-26 17:56:27

greebo

Details Diff
0005746: Implement flip texture algorithm Affected Issues
0005746
mod - radiant/textool/TexTool.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.h Diff File
mod - test/TextureTool.cpp Diff File

DarkRadiant: textool e8a5dae9

2021-09-26 18:10:34

greebo

Details Diff
0005746: SurfaceInspector is already listening to TextureChanged messages. CamWnd subscribes to this channel now too. Affected Issues
0005746
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File
mod - radiant/ui/UserInterfaceModule.cpp Diff File
mod - radiant/ui/UserInterfaceModule.h Diff File

DarkRadiant: textool 09a52d1b

2021-09-26 18:21:23

greebo

Details Diff
0005746: Fix TexTool::forceRedraw() not immediately repainting. Affected Issues
0005746
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File

DarkRadiant: textool 70998c6c

2021-09-26 18:28:39

greebo

Details Diff
0005746: Fix Face::rotateTexdef not committing its transform to _texdef. Affected Issues
0005746
mod - radiantcore/brush/Face.cpp Diff File

DarkRadiant: textool e57a4889

2021-09-26 18:50:41

greebo

Details Diff
0005746: Purge old texture tool item source files Affected Issues
0005746
mod - install/user.xml Diff File
mod - radiant/CMakeLists.txt Diff File
rm - radiant/textool/Rectangle.h Diff File
rm - radiant/textool/RenderableItem.h Diff File
rm - radiant/textool/Selectable.h Diff File
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File
rm - radiant/textool/TexToolItem.cpp Diff File
rm - radiant/textool/TexToolItem.h Diff File
rm - radiant/textool/Transformable.h Diff File
rm - radiant/textool/item/BrushItem.cpp Diff File
rm - radiant/textool/item/BrushItem.h Diff File
rm - radiant/textool/item/FaceItem.cpp Diff File
rm - radiant/textool/item/FaceItem.h Diff File
rm - radiant/textool/item/FaceVertexItem.cpp Diff File
rm - radiant/textool/item/FaceVertexItem.h Diff File
rm - radiant/textool/item/PatchItem.cpp Diff File
rm - radiant/textool/item/PatchItem.h Diff File
rm - radiant/textool/item/PatchVertexItem.cpp Diff File
rm - radiant/textool/item/PatchVertexItem.h Diff File
mod - radiant/textool/tools/TextureToolManipulateMouseTool.cpp Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: textool 90d55565

2021-09-26 19:01:29

greebo

Details Diff
0005746: Move FaceNode implementation to .cpp file. Affected Issues
0005746
mod - radiantcore/CMakeLists.txt Diff File
add - radiantcore/selection/textool/FaceNode.cpp Diff File
mod - radiantcore/selection/textool/FaceNode.h Diff File
mod - radiantcore/selection/textool/PatchNode.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: textool 3989eb75

2021-09-26 19:05:57

greebo

Details Diff
0005746: Move PatchNode implementation to .cpp file. Affected Issues
0005746
mod - radiantcore/CMakeLists.txt Diff File
mod - radiantcore/selection/textool/FaceNode.h Diff File
add - radiantcore/selection/textool/PatchNode.cpp Diff File
mod - radiantcore/selection/textool/PatchNode.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: textool e1f9877f

2021-09-26 19:07:51

greebo

Details Diff
0005746: Rename textool::NodeBase to textool::Node Affected Issues
0005746
mod - radiantcore/selection/textool/FaceNode.h Diff File
mod - radiantcore/selection/textool/PatchNode.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: textool 2a29915b

2021-09-26 19:11:09

greebo

Details Diff
0005746: Move (base) Node implementation to .cpp file Affected Issues
0005746
mod - radiantcore/CMakeLists.txt Diff File
add - radiantcore/selection/textool/Node.cpp Diff File
mod - radiantcore/selection/textool/Node.h Diff File
mod - radiantcore/selection/textool/PatchNode.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: textool 1da7e815

2021-09-26 19:15:36

greebo

Details Diff
0005746: Remove unneeded field from TexTool class Affected Issues
0005746
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File

DarkRadiant: textool 8ddd6f5e

2021-09-28 17:57:32

greebo

Details Diff
0005746: Remove empty interface type, use the IOrthoViewBase type for the Texture Tool. Affected Issues
0005746
rm - include/itexturetoolview.h Diff File
mod - radiant/textool/TexTool.h Diff File
mod - radiant/textool/tools/TextureToolMouseEvent.h Diff File
mod - tools/msvc/include.vcxproj Diff File

DarkRadiant: textool b1b827a4

2021-09-28 18:29:40

greebo

Details Diff
0005746: Remove unnecessary code from TextureToolSelectionTool Affected Issues
0005746
mod - radiant/textool/tools/TextureToolSelectionTool.h Diff File

DarkRadiant: textool 5e524008

2021-09-29 03:59:12

greebo

Details Diff
0005746: Implement TextureToolCycleSelectionTool (Alt-Shift-LMB) Affected Issues
0005746
mod - install/input.xml Diff File
mod - radiant/selection/SelectionMouseTools.cpp Diff File
mod - radiant/selection/SelectionMouseTools.h Diff File
add - radiant/textool/tools/TextureToolCycleSelectionTool.h Diff File
mod - radiant/textool/tools/TextureToolSelectionTool.h Diff File
mod - radiant/ui/mousetool/RegistrationHelper.h Diff File
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: textool f9cf7d08

2021-09-30 18:31:06

greebo

Details Diff
0005746: Add unit test cycle-selecting over a few patch nodes covering the same UV space Affected Issues
0005746
mod - test/TextureTool.cpp Diff File

DarkRadiant: master 3db72214

2021-10-02 11:34:21

greebo

Details Diff
0005746: Send a TextureChangedMessage when done with a texture tool manipulation Affected Issues
0005746
mod - radiantcore/selection/textool/TextureToolSelectionSystem.cpp Diff File

Issue History

Date Modified Username Field Change
10.09.2021 03:57 greebo New Issue
10.09.2021 03:57 greebo Status new => confirmed
10.09.2021 05:17 greebo Relationship added related to 0005731
10.09.2021 05:17 greebo Relationship added related to 0005732
10.09.2021 05:17 greebo Relationship added related to 0005733
10.09.2021 05:18 greebo Relationship added related to 0005128
10.09.2021 05:18 greebo Relationship added related to 0002272
10.09.2021 05:24 greebo Relationship added related to 0005747
10.09.2021 05:25 greebo Relationship added related to 0005748
10.09.2021 05:27 greebo Relationship added related to 0005749
10.09.2021 05:29 greebo Relationship added related to 0005750
10.09.2021 17:08 greebo Changeset attached => DarkRadiant textool a03ba973
10.09.2021 17:08 greebo Changeset attached => DarkRadiant textool 47170db3
10.09.2021 17:08 greebo Changeset attached => DarkRadiant textool aee11c02
10.09.2021 17:08 greebo Changeset attached => DarkRadiant textool 7b9689c1
10.09.2021 17:08 greebo Changeset attached => DarkRadiant textool c077ce2c
10.09.2021 17:08 greebo Changeset attached => DarkRadiant textool e2ee64b2
10.09.2021 17:08 greebo Changeset attached => DarkRadiant textool d2bd2516
10.09.2021 17:08 greebo Changeset attached => DarkRadiant textool f0735884
10.09.2021 17:08 greebo Changeset attached => DarkRadiant textool 1517261a
12.09.2021 16:57 greebo Changeset attached => DarkRadiant textool 713ea9a1
12.09.2021 16:57 greebo Changeset attached => DarkRadiant textool de81adb6
12.09.2021 16:57 greebo Changeset attached => DarkRadiant textool 53d16bbf
12.09.2021 16:57 greebo Changeset attached => DarkRadiant textool 004cc0ed
12.09.2021 16:57 greebo Changeset attached => DarkRadiant textool 5a012c8a
12.09.2021 16:57 greebo Changeset attached => DarkRadiant textool da668f91
13.09.2021 18:03 greebo Changeset attached => DarkRadiant textool 050efe5b
13.09.2021 18:03 greebo Changeset attached => DarkRadiant textool 7ec6b22a
13.09.2021 18:03 greebo Changeset attached => DarkRadiant textool 3e263a31
13.09.2021 18:03 greebo Changeset attached => DarkRadiant textool 0bfb0de6
13.09.2021 18:03 greebo Changeset attached => DarkRadiant textool 175bf4f7
13.09.2021 19:25 greebo Changeset attached => DarkRadiant textool a81c4c42
13.09.2021 19:25 greebo Changeset attached => DarkRadiant textool b224625c
15.09.2021 18:42 greebo Changeset attached => DarkRadiant textool 5d314e9c
16.09.2021 18:30 greebo Changeset attached => DarkRadiant textool 193ea54f
16.09.2021 18:30 greebo Changeset attached => DarkRadiant textool 62ecec21
16.09.2021 18:30 greebo Changeset attached => DarkRadiant textool 0bf8b3d1
16.09.2021 18:30 greebo Changeset attached => DarkRadiant textool 962b3736
17.09.2021 18:00 greebo Changeset attached => DarkRadiant textool b8b20923
17.09.2021 18:00 greebo Changeset attached => DarkRadiant textool fe15ad06
17.09.2021 18:00 greebo Changeset attached => DarkRadiant textool a9d347b7
17.09.2021 18:00 greebo Changeset attached => DarkRadiant textool 401f30a6
17.09.2021 18:00 greebo Changeset attached => DarkRadiant textool 7e9307a5
17.09.2021 18:00 greebo Changeset attached => DarkRadiant textool 8e37b1f8
17.09.2021 18:00 greebo Changeset attached => DarkRadiant textool 94c52123
17.09.2021 18:00 greebo Changeset attached => DarkRadiant textool 618c1130
18.09.2021 18:41 greebo Changeset attached => DarkRadiant textool eaea0869
18.09.2021 18:41 greebo Changeset attached => DarkRadiant textool b31ce212
18.09.2021 18:41 greebo Changeset attached => DarkRadiant textool 6d5a5994
18.09.2021 18:41 greebo Changeset attached => DarkRadiant textool 7c5da322
18.09.2021 18:41 greebo Changeset attached => DarkRadiant textool 4dd04b5b
18.09.2021 18:41 greebo Changeset attached => DarkRadiant textool e87847bb
18.09.2021 18:41 greebo Changeset attached => DarkRadiant textool b1cbecea
18.09.2021 18:41 greebo Changeset attached => DarkRadiant textool 7b34d733
18.09.2021 18:41 greebo Changeset attached => DarkRadiant textool c04661c6
18.09.2021 18:41 greebo Changeset attached => DarkRadiant textool 12a6f411
18.09.2021 19:01 greebo Changeset attached => DarkRadiant textool 76fd7653
19.09.2021 07:21 greebo Changeset attached => DarkRadiant textool c836d396
19.09.2021 07:21 greebo Changeset attached => DarkRadiant textool d29132dc
19.09.2021 07:21 greebo Changeset attached => DarkRadiant textool c5ffcc62
19.09.2021 07:21 greebo Changeset attached => DarkRadiant textool 7b01e5b8
19.09.2021 07:21 greebo Changeset attached => DarkRadiant textool 9e76903f
19.09.2021 07:21 greebo Changeset attached => DarkRadiant textool ce03fcc7
19.09.2021 07:21 greebo Changeset attached => DarkRadiant textool 200bbdc4
19.09.2021 18:03 greebo Changeset attached => DarkRadiant textool 8e5e0923
19.09.2021 18:03 greebo Changeset attached => DarkRadiant textool 11159a42
19.09.2021 18:03 greebo Changeset attached => DarkRadiant textool 5d83e3b5
19.09.2021 18:03 greebo Changeset attached => DarkRadiant textool 075db12f
19.09.2021 18:03 greebo Changeset attached => DarkRadiant textool fe316a36
19.09.2021 18:03 greebo Changeset attached => DarkRadiant textool beca99cb
19.09.2021 18:03 greebo Changeset attached => DarkRadiant textool 2027a79e
19.09.2021 18:03 greebo Changeset attached => DarkRadiant textool 4a00a5a4
19.09.2021 18:03 greebo Changeset attached => DarkRadiant textool 66e019a8
19.09.2021 18:03 greebo Changeset attached => DarkRadiant textool 8fbdf6fa
19.09.2021 18:03 greebo Changeset attached => DarkRadiant textool 536a7ae2
19.09.2021 18:03 greebo Changeset attached => DarkRadiant textool 25b02586
22.09.2021 18:59 greebo Changeset attached => DarkRadiant textool 4a594755
22.09.2021 18:59 greebo Changeset attached => DarkRadiant textool 8fa388fa
22.09.2021 18:59 greebo Changeset attached => DarkRadiant textool 050e3b71
22.09.2021 18:59 greebo Changeset attached => DarkRadiant textool 3d37002c
22.09.2021 18:59 greebo Changeset attached => DarkRadiant textool 988388d5
22.09.2021 18:59 greebo Changeset attached => DarkRadiant textool a34eee75
23.09.2021 04:42 greebo Changeset attached => DarkRadiant textool 50ebe761
23.09.2021 04:42 greebo Changeset attached => DarkRadiant textool aeff0016
23.09.2021 04:42 greebo Changeset attached => DarkRadiant textool 5244def3
24.09.2021 04:30 greebo Changeset attached => DarkRadiant textool e5f26c39
24.09.2021 04:30 greebo Changeset attached => DarkRadiant textool 46da5bc3
24.09.2021 04:30 greebo Changeset attached => DarkRadiant textool bf62213d
24.09.2021 05:10 greebo Changeset attached => DarkRadiant textool e8b0329a
24.09.2021 08:09 greebo Changeset attached => DarkRadiant textool f12d2fe7
24.09.2021 08:09 greebo Changeset attached => DarkRadiant textool 86d6c2ff
24.09.2021 08:09 greebo Changeset attached => DarkRadiant textool 16c74d66
24.09.2021 08:09 greebo Changeset attached => DarkRadiant textool f1cd5699
24.09.2021 08:09 greebo Changeset attached => DarkRadiant textool 4f3968de
24.09.2021 08:09 greebo Changeset attached => DarkRadiant textool 89ec1beb
24.09.2021 08:09 greebo Changeset attached => DarkRadiant textool f03091b1
24.09.2021 08:09 greebo Changeset attached => DarkRadiant textool 5629cb0d
25.09.2021 05:14 greebo Changeset attached => DarkRadiant textool bd22004b
25.09.2021 16:07 greebo Assigned To => greebo
25.09.2021 16:07 greebo Status confirmed => assigned
25.09.2021 19:27 greebo Changeset attached => DarkRadiant textool 6689955a
25.09.2021 19:27 greebo Changeset attached => DarkRadiant textool 19c0eaa7
25.09.2021 19:27 greebo Changeset attached => DarkRadiant textool b8b08aa1
26.09.2021 06:36 greebo Changeset attached => DarkRadiant textool f075ed21
26.09.2021 06:36 greebo Changeset attached => DarkRadiant textool 569a4ccb
26.09.2021 06:36 greebo Changeset attached => DarkRadiant textool 520a24cd
26.09.2021 06:36 greebo Changeset attached => DarkRadiant textool 030f8fab
26.09.2021 14:08 greebo Changeset attached => DarkRadiant textool e0df2352
26.09.2021 14:08 greebo Changeset attached => DarkRadiant textool fc4fc1be
26.09.2021 14:08 greebo Changeset attached => DarkRadiant textool 842f2073
26.09.2021 14:08 greebo Changeset attached => DarkRadiant textool 1f817f3d
26.09.2021 14:08 greebo Changeset attached => DarkRadiant textool c698c075
26.09.2021 15:38 greebo Changeset attached => DarkRadiant textool d5e40d21
26.09.2021 15:38 greebo Changeset attached => DarkRadiant textool 2b76d725
26.09.2021 15:38 greebo Changeset attached => DarkRadiant textool 8e879ee3
26.09.2021 17:09 greebo Changeset attached => DarkRadiant textool 61fafd8a
26.09.2021 18:21 greebo Changeset attached => DarkRadiant textool cbe722bf
26.09.2021 18:21 greebo Changeset attached => DarkRadiant textool d0839133
26.09.2021 18:21 greebo Changeset attached => DarkRadiant textool d3b22c78
26.09.2021 18:21 greebo Changeset attached => DarkRadiant textool e8a5dae9
26.09.2021 18:21 greebo Changeset attached => DarkRadiant textool 09a52d1b
26.09.2021 18:28 greebo Changeset attached => DarkRadiant textool 70998c6c
26.09.2021 19:11 greebo Changeset attached => DarkRadiant textool e57a4889
26.09.2021 19:11 greebo Changeset attached => DarkRadiant textool 90d55565
26.09.2021 19:11 greebo Changeset attached => DarkRadiant textool 3989eb75
26.09.2021 19:11 greebo Changeset attached => DarkRadiant textool e1f9877f
26.09.2021 19:11 greebo Changeset attached => DarkRadiant textool 2a29915b
27.09.2021 03:38 greebo Changeset attached => DarkRadiant textool 1da7e815
29.09.2021 03:59 greebo Changeset attached => DarkRadiant textool 8ddd6f5e
29.09.2021 03:59 greebo Changeset attached => DarkRadiant textool b1b827a4
29.09.2021 03:59 greebo Changeset attached => DarkRadiant textool 5e524008
30.09.2021 18:56 greebo Changeset attached => DarkRadiant textool f9cf7d08
30.09.2021 19:10 greebo Status assigned => resolved
30.09.2021 19:10 greebo Resolution open => fixed
30.09.2021 19:10 greebo Fixed in Version => 2.14.0
03.10.2021 05:05 greebo Changeset attached => DarkRadiant master 3db72214
08.10.2021 16:41 greebo Relationship added related to 0004584
10.10.2021 12:59 greebo Relationship added related to 0005776